package de.hhu.ba.yoshikoWrapper.gui;

import javax.swing.JLabel;

@SuppressWarnings("serial") //Will never be serialized
public class EditCostPanel extends ComfortPanel {
	
	//SWING COMPONENTS
	private ModificationCostMapper modCostMapper;
	private DoubleInputField  icField;
	private DoubleInputField dcField;
	private JLabel icLabel;
	private JLabel dcLabel;
	
	public EditCostPanel() {
		modCostMapper = new ModificationCostMapper();
		icField = new DoubleInputField(0,Double.NEGATIVE_INFINITY);
		dcField = new DoubleInputField(0,Double.POSITIVE_INFINITY);
		icLabel = new JLabel("Insertion Cost:");
		dcLabel = new JLabel("Deletion Cost:");
		icLabel.setLabelFor(icField);
		dcLabel.setLabelFor(dcField);
		this.addAll(modCostMapper,icField,dcField,icLabel,dcLabel);
	}
	
}
